3 Replies Latest reply on Jul 3, 2013 10:43 AM by Ramesh Reddy

    Is Teiid 8.4.0.Alpha1 compatible with Jboss 7.1.1 completely ?

    Amit Jahagirdar Newbie

      Hi,

       

      Actually I want to test the "session variables" [https://community.jboss.org/thread/223773] on teiid 8.4.

       

      but I am facing issues in deploying my application on (Teiid 8.4 alpha1+ jboss7.1.1) while the deployment works fine with Teiid 8.3 final and jboss7.1.1.

       

      I read through http://teiid.blogspot.com/2013/04/teiid-84-eap-61-alpha.html and this link states that teiid 8.4 is targeted towards EAP6.1Alpha (jboss7.2).

       

      Does that mean there would be compatibility issues with jboss7.1.1 in terms of modules,I express this as a concern because I noticed that the modules are now placed under systems/layers/base?

       

       

      I tried deplying teiid 8.4 alpha1 on eap 6.1 alpha,and yet on startup got a classDefNotFound exception:

      java.lang.NoClassDefFoundError: org/jboss/as/controller/Operation Definition.

      Is there something i am missing here in terms of deployment?

       

      Thanks

      Amit